From 068b34b402cdec978dcb2c6a77e8dd11c73dc1bb Mon Sep 17 00:00:00 2001
From: Dirk Mueller <dmueller@suse.com>
Date: Sat, 6 Sep 2014 09:54:05 +0200
Subject: [PATCH 1/3] [ARM] lpae: Raise CMA to 64MB

The KVM hosts run out of memory frequently after a bit
of uptime due to fragmentation. Try reserving more memory
for the DMA transfer.
---
 config/armv7hl/lpae | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/config/armv7hl/lpae b/config/armv7hl/lpae
index 6e186c3..8b285bc 100644
--- a/config/armv7hl/lpae
+++ b/config/armv7hl/lpae
@@ -1611,7 +1611,7 @@ CONFIG_DMA_CMA=y
 #
 # Default contiguous memory area size:
 #
-CONFIG_CMA_SIZE_MBYTES=16
+CONFIG_CMA_SIZE_MBYTES=64
 CONFIG_CMA_SIZE_SEL_MBYTES=y
 # CONFIG_CMA_SIZE_SEL_PERCENTAGE is not set
 # CONFIG_CMA_SIZE_SEL_MIN is not set
-- 
2.0.4

